Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLIndividualImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLNamedObjectImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEntityImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLIndividualImpl

All Implemented Interfaces:
  Cloneable, OWLEntity, OWLIndividual, OWLNamedObject, OWLObject, OWLOntologyObject, Serializable

public class OWLIndividualImpl
extends OWLEntityImpl
implements OWLIndividual

An individual object. Each individual knows which Classes it has been asserted as being an instance of. In addition, each individual also knows the individuals it is related to.

Version:
  $Id: OWLIndividualImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`uri`

Constructor Summary
`OWLIndividualImpl(OWLDataFactoryImpl factory, URI uri)`

Method Summary
`void` | `accept(OWLEntityVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`Map` | `getDataPropertyValues()` Returns a `Map` which encapsulates the relationship between this individual and data values.
`Map` | `getDataPropertyValues(OWLOntology o)` Returns a `Map` which encapsulates the relationship between this individual and data values.
`Map` | `getDataPropertyValues(Set ontologies)` Returns a `Map` which encapsulates the relationship between this individual and data values.
`Map` | `getIncomingObjectPropertyValues()` Returns a `Map` which encapsulate the relationships between other individuals and this individual.
`Map` | `getIncomingObjectPropertyValues(OWLOntology o)` Returns a `Map` which encapsulate the relationships between other individuals and this individual.
`Map` | `getIncomingObjectPropertyValues(Set ontologies)` Returns a `Map` which encapsulate the relationships between other individuals and this individual.
`Map` | `getObjectPropertyValues()` Returns a `Map` which encapsulate the relationships between this individual and other individuals.
`Map` | `getObjectPropertyValues(OWLOntology o)` Returns a `Map` which encapsulate the relationships between this individual and other individuals.
`Map` | `getObjectPropertyValues(Set ontologies)` Returns a `Map` which encapsulate the relationships between this individual and other individuals.
`Set` | `getTypes()` Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of.
`Set` | `getTypes(OWLOntology o)` Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontology.
`Set` | `getTypes(Set ontologies)` Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontologies.
`boolean` | `isAnonymous()` Indicates whether the individual is anonymous or not.

Methods inherited from class org.semanticweb.owl.impl.model.OWLEntityImpl
`addOntology, getOntologies, removeOntology`

Methods inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`getURI`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Constructor Detail

### OWLIndividualImpl

    public OWLIndividualImpl(OWLDataFactoryImpl factory,
                             URI uri)

Method Detail

### isAnonymous

    public boolean isAnonymous()

  Description copied from interface: `OWLIndividual`
  Indicates whether the individual is anonymous or not. The whole issue of anonymous individuals will need particular thought and probably refactoring....

  Specified by:
    `isAnonymous` in interface `OWLIndividual`

### getTypes

    public Set getTypes(OWLOntology o)

  Description copied from interface: `OWLIndividual`
  Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontology.

  Specified by:
    `getTypes` in interface `OWLIndividual`

### getTypes

    public Set getTypes(Set ontologies)

  Description copied from interface: `OWLIndividual`
  Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of in the given ontologies.

  Specified by:
    `getTypes` in interface `OWLIndividual`

### getTypes

    public Set getTypes()

  Returns a list of the `OWLDescription`s that this individual is asserted as being an instance of.

### getObjectPropertyValues

    public Map getObjectPropertyValues(OWLOntology o)

  Returns a `Map` which encapsulate the relationships between this individual and other individuals.

  Specified by:
    `getObjectPropertyValues` in interface `OWLIndividual`

### getObjectPropertyValues

    public Map getObjectPropertyValues(Set ontologies)

  Returns a `Map` which encapsulate the relationships between this individual and other individuals.

  Specified by:
    `getObjectPropertyValues` in interface `OWLIndividual`

### getObjectPropertyValues

    public Map getObjectPropertyValues()

  Returns a `Map` which encapsulate the relationships between this individual and other individuals.

### getIncomingObjectPropertyValues

    public Map getIncomingObjectPropertyValues(OWLOntology o)

  Returns a `Map` which encapsulate the relationships between other individuals and this individual.

  Specified by:
    `getIncomingObjectPropertyValues` in interface `OWLIndividual`

### getIncomingObjectPropertyValues

    public Map getIncomingObjectPropertyValues(Set ontologies)

  Returns a `Map` which encapsulate the relationships between other individuals and this individual.

  Specified by:
    `getIncomingObjectPropertyValues` in interface `OWLIndividual`

### getIncomingObjectPropertyValues

    public Map getIncomingObjectPropertyValues()

  Returns a `Map` which encapsulate the relationships between other individuals and this individual.

### getDataPropertyValues

    public Map getDataPropertyValues(OWLOntology o)

  Returns a `Map` which encapsulates the relationship between this individual and data values.

  Specified by:
    `getDataPropertyValues` in interface `OWLIndividual`

### getDataPropertyValues

    public Map getDataPropertyValues(Set ontologies)

  Returns a `Map` which encapsulates the relationship between this individual and data values.

  Specified by:
    `getDataPropertyValues` in interface `OWLIndividual`

### getDataPropertyValues

    public Map getDataPropertyValues()

  Returns a `Map` which encapsulates the relationship between this individual and data values.

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLEntityVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLEntity`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLEntity`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb